Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1375884 (CVE-2016-6802) - CVE-2016-6802 Apache Shiro: Security servlet filters bypass
Summary: CVE-2016-6802 Apache Shiro: Security servlet filters bypass
Keywords:
Status: NEW
Alias: CVE-2016-6802
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1378679 1375885
Blocks: 1375886 1385169
TreeView+ depends on / blocked
 
Reported: 2016-09-14 07:25 UTC by Andrej Nemec
Modified: 2019-09-29 13:56 UTC (History)
19 users (show)

Fixed In Version: Apache Shiro 1.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-09-14 07:25:22 UTC
Apache Shiro before 1.3.2,  when using a non-root servlet context path, specifically crafted requests can be used to by pass some security servlet filters, resulting in unauthorized access.

References:

http://seclists.org/oss-sec/2016/q3/488

Comment 1 Andrej Nemec 2016-09-14 07:27:03 UTC
Created shiro tracking bugs for this issue:

Affects: fedora-24 [bug 1375885]

Comment 2 Fedora Update System 2016-09-17 22:28:21 UTC
shiro-1.3.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.